你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Sandbox Groups - List By Resource Group

按资源组列表 SandboxGroup 资源

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerInstance/sandboxGroups?api-version=2026-07-01

URI 参数

名称 必需 类型 说明
resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 此名称不区分大小写。

subscriptionId
path True

string (uuid)

目标订阅的 ID。 该值必须是 UUID。

api-version
query True

string

minLength: 1

用于此操作的 API 版本。

响应

名称 类型 说明
200 OK

SandboxGroupListResult

Azure 运营顺利完成。

Other Status Codes

CloudError

未预期的错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 流程。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 冒充您的用户账户

示例

List SandboxGroups by resource group

示例请求

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerInstance/sandboxGroups?api-version=2026-07-01

示例响应

{
  "value": [
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerInstance/sandboxGroups/mySandboxGroup",
      "name": "mySandboxGroup",
      "type": "Microsoft.ContainerInstance/sandboxGroups",
      "location": "eastus",
      "tags": {
        "environment": "test"
      },
      "properties": {
        "provisioningState": "Succeeded",
        "networkProfile": {
          "subnets": [
            {
              "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Network/virtualNetworks/myVNet/subnets/mySubnet"
            }
          ]
        },
        "managementResourceGroupId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/mySandboxGroup-mrg"
      }
    }
  ]
}

定义

名称 说明
CloudError

容器实例服务的错误响应。

CloudErrorBody

容器实例服务的错误响应。

createdByType

创建该资源的身份类型。

ManagedServiceIdentity

托管服务标识(系统分配和/或用户分配的标识)

ManagedServiceIdentityType

托管服务标识的类型(其中允许 SystemAssigned 和 UserAssigned 类型)。

SandboxGroup

一个SandboxGroup追踪资源。

SandboxGroupListResult

SandboxGroup 列表操作的回应。

SandboxGroupNetworkProfile

SandboxGroup 的网络配置文件。

SandboxGroupProperties

沙盒组的属性。

SandboxGroupProvisioningState

SandboxGroup 资源的配置状态。

SubnetReference

这是对子网资源的引用。

systemData

与创建和上次修改资源相关的元数据。

UserAssignedIdentities

与容器组关联的用户标识列表。 用户标识字典密钥引用的格式为 ARM 资源 ID:“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}”。

CloudError

容器实例服务的错误响应。

名称 类型 说明
error

CloudErrorBody

容器实例服务的错误响应。

CloudErrorBody

容器实例服务的错误响应。

名称 类型 说明
code

string

错误的标识符。 代码是固定的,旨在以编程方式使用。

details

CloudErrorBody[]

有关错误的其他详细信息的列表。

message

string

描述错误的消息,旨在适合在用户界面中显示。

target

string

特定错误的目标。 例如,错误属性的名称。

createdByType

创建该资源的身份类型。

说明
User
Application
ManagedIdentity
Key

ManagedServiceIdentity

托管服务标识(系统分配和/或用户分配的标识)

名称 类型 说明
principalId

string (uuid)

系统分配标识的服务主体 ID。 此属性仅针对系统分配的标识提供。

tenantId

string (uuid)

系统分配标识的租户 ID。 此属性仅针对系统分配的标识提供。

type

ManagedServiceIdentityType

托管服务标识的类型(其中允许 SystemAssigned 和 UserAssigned 类型)。

userAssignedIdentities

UserAssignedIdentities

与容器组关联的用户标识列表。 用户标识字典密钥引用的格式为 ARM 资源 ID:“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}”。

ManagedServiceIdentityType

托管服务标识的类型(其中允许 SystemAssigned 和 UserAssigned 类型)。

说明
None
SystemAssigned
UserAssigned
SystemAssigned,UserAssigned

SandboxGroup

一个SandboxGroup追踪资源。

名称 类型 说明
id

string (arm-id)

该资源的完全限定资源 ID。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

identity

ManagedServiceIdentity

分配给此资源的托管服务标识。

location

string

资源所在的地理位置

name

string

资源的名称

properties

SandboxGroupProperties

此资源的资源特定属性。

systemData

systemData

包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。

tags

object

资源标记。

type

string

资源类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”

SandboxGroupListResult

SandboxGroup 列表操作的回应。

名称 类型 说明
nextLink

string (uri)

指向下一页条目的链接

value

SandboxGroup[]

本页的SandboxGroup项目

SandboxGroupNetworkProfile

SandboxGroup 的网络配置文件。

名称 类型 说明
subnets

SubnetReference[]

与SandboxGroup相关的子网列表。

SandboxGroupProperties

沙盒组的属性。

名称 类型 说明
managementResourceGroupId

string (arm-id)

与该沙箱组关联的管理资源组的ARM资源ID。

networkProfile

SandboxGroupNetworkProfile

SandboxGroup 的网络简介。

provisioningState

SandboxGroupProvisioningState

上次操作的状态。

SandboxGroupProvisioningState

SandboxGroup 资源的配置状态。

说明
Succeeded

已创建资源。

Failed

资源创建失败。

Canceled

资源创建已取消。

Updating

正在更新资源。

Deleting

正在删除此资源。

Accepted

资源配置请求已被接受,但尚未开始。

SubnetReference

这是对子网资源的引用。

名称 类型 说明
id

string (arm-id)

子网的ARM资源ID。 调用者必须在该子网拥有Microsoft.Network/virtualNetworks/subnets/join/action权限(通过创建/更新时的链接访问检查强制执行)。

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建该资源的身份。

createdByType

createdByType

创建该资源的身份类型。

lastModifiedAt

string (date-time)

上次修改的资源时间戳(UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。

UserAssignedIdentities

与容器组关联的用户标识列表。 用户标识字典密钥引用的格式为 ARM 资源 ID:“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}”。

名称 类型 说明
clientId

string

用户分配标识的客户端 ID。

principalId

string

用户分配标识的主体 ID。